SoViewportRegionElement(3)

NAME
SoViewportRegionElement - The SoViewportRegionElement class is yet to be documented.

SYNOPSIS

#include <Inventor/elements/SoViewportRegionElement.h>

Inherits SoElement.

Inherited by SoGLViewportRegionElement.

  Public Member Functions
virtual void init (SoState *state)
virtual SbBool matches (const SoElement *element) const
FIXME: write doc.
virtual SoElement * copyMatchInfo () const
FIXME: write doc.
virtual void print (FILE *file) const
FIXME: write doc.

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void set (SoState *const state, const SbViewportRegion &viewportRegion)
FIXME: write doc.
static const SbViewportRegion & get (SoState *const state)
FIXME: write doc.

  Protected Member Functions
virtual ~SoViewportRegionElement ()
virtual void setElt (const SbViewportRegion &viewportRegion)
FIXME: write doc.

  Protected Attributes
SbViewportRegion viewportRegion

  Additional Inherited Members

Detailed Description

The SoViewportRegionElement class is yet to be documented. FIXME: write doc.

Constructor & Destructor Documentation

  SoViewportRegionElement::~SoViewportRegionElement (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoViewportRegionElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoViewportRegionElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoViewportRegionElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoViewportRegionElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoViewportRegionElement::init (SoState * state) [virtual]
This function initializes the element type in the given SoState. It is called for the first element of each enabled element type in SoState objects.

Reimplemented from SoElement.

Reimplemented in SoGLViewportRegionElement.

  SbBool SoViewportRegionElement::matches (const SoElement * element) const [virtual]

FIXME: write doc.

Implements SoElement.

  SoElement * SoViewportRegionElement::copyMatchInfo (void) const [virtual]

FIXME: write doc.

Implements SoElement.

  void SoViewportRegionElement::print (FILE * file) const [virtual]

FIXME: write doc.

Reimplemented from SoElement.

  void SoViewportRegionElement::setElt (const SbViewportRegion & viewportRegion) [protected], [virtual]

FIXME: write doc.

Reimplemented in SoGLViewportRegionElement.

Member Data Documentation

  SoViewportRegionElement::viewportRegion [protected]
FIXME: write doc.

Author

Generated automatically by Doxygen for Coin from the source code.